commit 68d21512bfd8639f57ebf5002043e4bfe4adb835
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Jun 7 22:06:17 2020 +0200

    configure.ac: bump versions for the 2.10.20 release

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dac5718af2652363d80b386933186d5a60266e49
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jun 7 21:24:40 2020 +0200

    autotools,app: depend on GEGL 0.4.24

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 1c1e3de7c2529fe168c46d37fc627b52b8f8fb89
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jun 7 20:34:19 2020 +0200

    app, configure: depend on babl-0.1.78

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0b163452ae1a25f6a500071c9c58d1005cb978e0
Author: sicklylife <translation@sicklylife.jp>
Date:   Sun Jun 7 14:25:11 2020 +0000

    Update Japanese translation

 po-script-fu/ja.po | 311
 +++++++++++++++++++++++------------------------------
 1 file changed, 132 insertions(+), 179 deletions(-)

commit 9c45354cf6fb912f08bede2d1dd6a969689ce0aa
Author: sicklylife <translation@sicklylife.jp>
Date:   Sun Jun 7 14:24:33 2020 +0000

    Update Japanese translation

 po-tips/ja.po | 23 +++++++++--------------
 1 file changed, 9 insertions(+), 14 deletions(-)

commit 2edd11d91ef9026887344ad90e8c64f17624542d
Author: sicklylife <translation@sicklylife.jp>
Date:   Sun Jun 7 14:16:50 2020 +0000

    Update Japanese translation

 po-script-fu/ja.po | 455
 ++++++++++++++++++++++++++++++++---------------------
 1 file changed, 273 insertions(+), 182 deletions(-)

commit 40d594444dd60a8c9f0816c93e3cb0b8e7eb7487
Author: sicklylife <translation@sicklylife.jp>
Date:   Sun Jun 7 14:16:11 2020 +0000

    Update Japanese translation

 po-tips/ja.po | 360
 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 183 insertions(+), 177 deletions(-)

commit 43f1a3d515973613bcf1262043143c2c5af1bda3
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Jun 7 15:56:51 2020 +0200

    NEWS: re-wrap long lines

 NEWS | 51 ++++++++++++++++++++++++++++-----------------------
 1 file changed, 28 insertions(+), 23 deletions(-)

commit e800aebffd8405e5d9a02e4309aa8189a0fa4721
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Jun 7 15:55:15 2020 +0200

    docs, etc: regenerate system gimprc and its manpage

 docs/gimprc.5.in | 11 +++++++++++
 etc/gimprc.in    | 10 ++++++++++
 2 files changed, 21 insertions(+)

commit 1b4675f6fc95cc91765ed8e6f5c287672c6f7601
Author: Ell <ell_se@yahoo.com>
Date:   Sun Jun 7 16:38:20 2020 +0300

    build: add Japanese translation to the Windows installer

    (cherry picked from commit 0c06c24441accd24efb85d68868663a0169f7d23)

 build/windows/installer/gimp3264.iss     | 1 +
 build/windows/installer/lang/Makefile.am | 1 +
 2 files changed, 2 insertions(+)

commit aaeeb77501a601ec001e5884e82388390d54398d
Author: Ell <ell_se@yahoo.com>
Date:   Sun Jun 7 16:36:44 2020 +0300

    po-windows-installer: fix unsupported chars in Japanese translation

    (cherry picked from commit b56f5eb3f61c1228e74881236d80c2314014c391)

 po-windows-installer/ja.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 84247ec2d39b0d63ebb374a8c78e6db3f0bd26d6
Author: sicklylife <translation@sicklylife.jp>
Date:   Sat Jun 6 19:27:53 2020 +0000

    Add Japanese translation

 po-windows-installer/LINGUAS |   1 +
 po-windows-installer/ja.po   | 404
 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 405 insertions(+)

commit 5346d500670f876e7e24d515655709d75b145555
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Sat Jun 6 15:37:18 2020 +0000

    Update Dutch translation

 po/nl.po | 451
 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 254 insertions(+), 197 deletions(-)

commit 00840a15ecf5d0064fa4a87e3ad8cba215539836
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Jun 6 14:15:38 2020 +0200

    Update Polish translation

 po/pl.po | 607
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 330 insertions(+), 277 deletions(-)

commit 990e6ed08d9e00acf079e803983d72ce4710be3e
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Fri Jun 5 19:46:31 2020 +0000

    Update Swedish translation

 po/sv.po | 444
 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 247 insertions(+), 197 deletions(-)

commit 4309bfc4d859b88b0ad9d288fe03f84ac9e7b67f
Author: Cristian Secară <cristi@secarica.ro>
Date:   Fri Jun 5 07:51:59 2020 +0000

    Update Romanian translation

 po/ro.po | 304
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 155 insertions(+), 149 deletions(-)

commit 2b90b1b7b1f6ca5adf2e9d4ae8527c400da0f73c
Author: Cristian Secară <cristi@secarica.ro>
Date:   Thu Jun 4 23:32:30 2020 +0000

    Update Romanian translation

 po-python/ro.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d4ce6c5453b12f848ea6b8c5bb11ace6b36b02f9
Author: Ell <ell_se@yahoo.com>
Date:   Thu Jun 4 21:56:48 2020 +0300

    plug-ins: in twain, unify 8- and 16-bit data transfer

    (cherry picked from commit 86569b9ae30b5407e43ed2e3b074906d9576c816)

 plug-ins/twain/twain.c | 59
 +++++---------------------------------------------
 1 file changed, 6 insertions(+), 53 deletions(-)

commit f358bd5cd23f4577dcb64a1f92726b429207f298
Author: Ell <ell_se@yahoo.com>
Date:   Thu Jun 4 21:00:39 2020 +0300

    plug-ins: another fix to last commit

    (cherry picked from commit 6d4712edb9f79a9ebcc9b58e3b0014669d0f083e)

 plug-ins/twain/twain.c | 3 ---
 1 file changed, 3 deletions(-)

commit a28b865a8095f7fc2539cf382cb0b21a105ae16c
Author: Ell <ell_se@yahoo.com>
Date:   Thu Jun 4 20:48:20 2020 +0300

    plug-ins: fix last commit

 plug-ins/twain/twain.c | 2 ++
 1 file changed, 2 insertions(+)

commit f35df5503d32b3594a0896da717073aeff3e43d6
Author: Ell <ell_se@yahoo.com>
Date:   Thu Jun 4 20:36:48 2020 +0300

    Issue #4941 - TWAIN 16-bit greyscale/rgb scan always loaded as 8-bit

    Simplify data transfer in the twain plug-in, and add support for
    16-bit RGB/grayscale images.

    (cherry picked from commit 30f65bb6c5fdbbb48edd3d07d764763d6a2477c4)

 plug-ins/twain/twain.c | 145
 +++++++++++++++++++------------------------------
 1 file changed, 56 insertions(+), 89 deletions(-)

commit 63a242ce7e92188d0601eb970ef437234ebddfad
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Thu Jun 4 09:12:57 2020 +0000

    Update Ukrainian translation

 po/uk.po | 275
 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 160 insertions(+), 115 deletions(-)

commit 5bee8eb79f32abcb74d76c7bf35294518ed37ecf
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Thu Jun 4 02:23:13 2020 +0300

    Update Russian translation

 po/ru.po | 605
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 331 insertions(+), 274 deletions(-)

commit bb65d26133fcfd1fd307bc85a369adf8e4c12e39
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Thu Jun 4 02:17:11 2020 +0300

    Add the list of changes in 2.10.20 to the appdata

 desktop/org.gimp.GIMP.appdata.xml.in.in | 31
 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

commit 580e4b813a21b27deee5c3924e82803c43b59c7a
Author: Ell <ell_se@yahoo.com>
Date:   Thu Jun 4 01:12:32 2020 +0300

    plug-ins: fix last twain-plug-in commit

    (cherry picked from commit 6def9e59fb870b8e59fe0896425359a8308cacbe)

 plug-ins/twain/twain.c | 6 ------
 1 file changed, 6 deletions(-)

commit b68ff3b7aae3ffcbdd1e2e930fde9de59f61d042
Author: Cristian Secară <cristi@secarica.ro>
Date:   Wed Jun 3 16:26:20 2020 +0000

    Update Romanian translation

 po-tips/ro.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 090891c03747251e7c76bfc2927549098f935ab9
Author: Cristian Secară <cristi@secarica.ro>
Date:   Wed Jun 3 16:24:59 2020 +0000

    Update Romanian translation

 po-plug-ins/ro.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit f32730c718c9ecbc13302c13b8c83350458d3b34
Author: Cristian Secară <cristi@secarica.ro>
Date:   Wed Jun 3 16:23:18 2020 +0000

    Update Romanian translation

 po-libgimp/ro.po | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit 005003e5e5266727f5959f2e649ca4c14f761093
Author: Cristian Secară <cristi@secarica.ro>
Date:   Wed Jun 3 16:21:23 2020 +0000

    Update Romanian translation

 po/ro.po | 343
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 175 insertions(+), 168 deletions(-)

commit 47298614f7fc34e9ed6ada12aee6a2599de16013
Author: Ell <ell_se@yahoo.com>
Date:   Wed Jun 3 16:44:44 2020 +0300

    Issue #4210 - GIMP reports errors on scanning ...

    ... since GEGLification of the twain plug-in (2.10.14 and later
    versions)

    In the data-transfer functions, allocate a temporary buffer for the
    converted data on each call using the current chunk size, instead
    of reusing the buffer allocated on the first chunk.  This allows
    for different chunks sizes across calls.

    (cherry picked from commit 9a1d43c978131293276ff226268cdd1f56cbd3ed)

 plug-ins/twain/twain.c | 29 ++++++++++++++++++++---------
 1 file changed, 20 insertions(+), 9 deletions(-)

commit 3c61965075146ffb4350c062400b1195a53a9bc9
Author: Ell <ell_se@yahoo.com>
Date:   Wed Jun 3 10:13:50 2020 +0300

    app: misc cleanup in prop-gui range creation

    (cherry picked from commit ca351d352034e90286d62d3974860b5463926602)

 app/propgui/gimppropgui-generic.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit c82b894cd3f0fdc504526508494b82addd7dbd51
Author: Ell <ell_se@yahoo.com>
Date:   Wed Jun 3 10:10:46 2020 +0300

    app: fix prop-gui static range visibility

    (cherry picked from commit c7599626f4adfea8764b0608298942dae20a0d7f)

 app/propgui/gimppropgui-generic.c | 1 +
 1 file changed, 1 insertion(+)

commit 28c7a813e8efc4befdbeeba9822c8b8a7c07a04d
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Wed Jun 3 06:56:11 2020 +0000

    Update Ukrainian translation

 po/uk.po | 188
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 100 insertions(+), 88 deletions(-)

commit b6e0333aa0ada9746320e253b21663a5a95f49f5
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jun 2 23:54:15 2020 +0300

    app: in _gimp_prop_gui_new_generic(), use "range-label" pspec key
    as range label

    ... when available

    (cherry picked from commit 4492f61df4483aad5cb34b4cfb9c741c549fc572)

 app/propgui/gimppropgui-generic.c | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit 0a82815aeb8a525ec246745a2707c298440628ef
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jun 2 22:59:47 2020 +0300

    app: improve gegl:focus-blur prop-gui constructor

    ... by grouping the geometry options, which can be controlled
    through the on-canvas UI, in an expandable frame, which is
    collapsed by default.  The shape option is not part of the group,
    and is moved to the top.

    (cherry picked from commit 438babea6bce9c2f3e9f4faec7b56dbd42597d03)

 app/propgui/gimppropgui-focus-blur.c | 91
 ++++++++++++++++++++++++++++++++++--
 1 file changed, 87 insertions(+), 4 deletions(-)

commit 8da94a575194a4b7648fe08d66228ad0a672bda4
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jun 2 22:54:02 2020 +0300

    app, menus: add gegl:lens-blur to Filters -> Blur

    gegl:lens-blur simulates an out-of-focus lens blur.
    (cherry picked from commit 323355a7087b0f155174ff8b3f37321dca4480ff)

 app/actions/filters-actions.c | 6 ++++++
 app/sanity.c                  | 1 +
 app/tools/gimpgegltool.c      | 1 +
 app/widgets/gimphelp-ids.h    | 1 +
 menus/image-menu.xml.in       | 1 +
 5 files changed, 10 insertions(+)

commit 8e6a601a8052f13a6aaf66d5d281751795a9d529
Author: Ell <ell_se@yahoo.com>
Date:   Mon Jun 1 23:55:06 2020 +0300

    app: use special prop-gui widget for luminance ranges

    In _gimp_prop_gui_new_generic(), when a pair of consecutive
    properties have "range-start" and "range-end" roles, respectively,
    and "luminance" units, use a range prop-widget for both properties,
    as per the previous commits.

    The range is sorted by default, unless the first property has a
    "range-sorted" key of "false".

    (cherry picked from commit 8eb752b1947567df9d588315512a5d6dce19ec7a)

 app/propgui/gimppropgui-generic.c | 69
 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 69 insertions(+)

commit 69b0d86713859bd4981a32006ba3cfe1b2273b56
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jun 2 18:30:07 2020 +0300

    app: add gimp_prop_range_set_ui_limits()

    ... which sets the limits of the range-widget's handle-bar
    explicitly, instead of using the lower/upper properties' limits.

    (cherry picked from commit ce8235e97703bca8baec84b6b41de5f47cfc23c1)

 app/widgets/gimppropwidgets.c | 16 ++++++++++++++++
 app/widgets/gimppropwidgets.h |  3 +++
 2 files changed, 19 insertions(+)

commit e5916c81cc685c48ee451a3ebef81291d2b3c682
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jun 2 18:28:27 2020 +0300

    app: allow setting handle-bar limits explicitly

    In GimpHandleBar, add gimp_handle_bar_{set,unset,get}_limits(), to
    allow settings the handle-bar limits explicitly, rather than
    inheriting the adjustment limits.

    (cherry picked from commit fa5dd99559079cbf58a1224c04cab0a6fbe7afd8)

 app/widgets/gimphandlebar.c | 52
 +++++++++++++++++++++++++++++++++++++++++----
 app/widgets/gimphandlebar.h |  9 ++++++++
 2 files changed, 57 insertions(+), 4 deletions(-)

commit 0c65fce18cb1165ebe04a8407211c8c10f9ec575
Author: Ell <ell_se@yahoo.com>
Date:   Mon Jun 1 23:27:04 2020 +0300

    app: add gimp_prop_range_new()

    ... which creates a widget controlling a pair of lower/upper range-
    limit properties, comprised of a handle-bar and two spin-buttons.

    If the "sorted" parameter is TRUE, the "lower" property is bounded
    above by the "upper" property, and vice versa.

    (cherry picked from commit e03b8e597b53f3c3ce2beae8bf9ff937db021fde)

 app/widgets/gimppropwidgets.c | 71
 +++++++++++++++++++++++++++++++++++++++++++
 app/widgets/gimppropwidgets.h |  8 +++++
 2 files changed, 79 insertions(+)

commit a974e71702d1e68b3134ee8d2f4acff6e4034f27
Author: Ell <ell_se@yahoo.com>
Date:   Mon Jun 1 23:21:21 2020 +0300

    app: add gimp_gtk_adjustment_chain()

    ... which takes a pair of GtkAdjustments, and binds the value of
    the first to the lower-limit of the second, and the value of the
    second to the upper-limit of the first.

    (cherry picked from commit 45e5c2231afb48376a1bbc37bed78ab41dad8afb)

 app/widgets/gimpwidgets-utils.c | 15 +++++++++++++++
 app/widgets/gimpwidgets-utils.h |  3 +++
 2 files changed, 18 insertions(+)

commit 74f96d626d2bd97180d90d8c11e29369063be064
Author: Cristian Secară <cristi@secarica.ro>
Date:   Tue Jun 2 17:13:00 2020 +0000

    Update Romanian translation

 po-libgimp/ro.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4c924c1cb856e8213c9eda40daeada398d3f8a9e
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jun 2 11:02:19 2020 +0300

    app: in gimp_accel_label_set_action(), emit notify

    (cherry picked from commit 0ac2aa51307c64d415fe253a8f55f56a81319a4a)

 app/widgets/gimpaccellabel.c | 2 ++
 1 file changed, 2 insertions(+)

commit 89f8dc095dc14bfe22c39350bca00d1bde22e4cc
Author: Cristian Secară <cristi@secarica.ro>
Date:   Tue Jun 2 06:54:10 2020 +0000

    Update Romanian translation

 po/ro.po | 508
 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 209 insertions(+), 299 deletions(-)

commit ae75f5de8fcfd5ad8ace526ee8d132731c805e92
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Mon Jun 1 20:31:08 2020 +0000

    Update Ukrainian translation

 po/uk.po | 169
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 80 insertions(+), 89 deletions(-)

commit ffb0175a8c80c8726ad6e62f1df8cd83226a9a33
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Mon Jun 1 20:00:43 2020 +0000

    Update Swedish translation

 po/sv.po | 506
 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 278 insertions(+), 228 deletions(-)

commit 252cd8f100b17e8eae3a942d067234893d9c45fc
Author: Ell <ell_se@yahoo.com>
Date:   Mon Jun 1 22:39:11 2020 +0300

    app: fix parsing of GUM cross-property references

    (cherry picked from commit 8139836d5d406e0d79b8a57b288e8b2f98de4951)

 app/propgui/gimppropgui-eval.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 5605e8484cba278fe335ce783c90a4e13a6ccec7
Author: Ell <ell_se@yahoo.com>
Date:   Mon Jun 1 22:38:10 2020 +0300

    app: in gimp_prop_eval_string(), don't leak result upon trailing
    tokens

    (cherry picked from commit ae801871e5007f67ec50ae2d58894998c8e21176)

 app/propgui/gimppropgui-eval.c | 2 ++
 1 file changed, 2 insertions(+)

commit 35d6d9e52919bedb0d273453f4a4c58006484b69
Author: Ell <ell_se@yahoo.com>
Date:   Mon Jun 1 16:13:10 2020 +0300

    app: list all tool-group tools in tool-button tooltip

    In tool-group GimpToolButton tooltips, in addition to showing the
    description of the currently-active tool, list the other tools in
    the group as well, to improve discoverability.

    (cherry picked from commit 4d83c7a3fc8804fd40c500b0c8d07d5bc15bb167)

 app/widgets/gimptoolbutton.c | 224
 +++++++++++++++++++++++++++++++++++++++++--
 po/POTFILES.in               |   1 +
 2 files changed, 218 insertions(+), 7 deletions(-)

commit a54704bcdcde881e0ced3ddb1a0de6d9e20fb6a9
Author: Ell <ell_se@yahoo.com>
Date:   Mon Jun 1 18:38:57 2020 +0300

    app: add GimpAccelLabel

    Add a new GimpAccelLabel widget, which shows an accelerator label
    for a given GimpAction.  Unlike GtkAccelLabel, GimpAccelLabel
    doesn't show a user-provided label in addition to that.

    Note that the size request of GtkAccelLabel doesn't include the
    accelerator part, which is desirable in some contexts.
    GimpAccelLabel doesn't suffer from that.

    (cherry picked from commit 2259ad5fcc25a7429d45538d71e8c5b91b6e0328)

 app/widgets/Makefile.am      |   2 +
 app/widgets/gimpaccellabel.c | 283
 +++++++++++++++++++++++++++++++++++++++++++
 app/widgets/gimpaccellabel.h |  58 +++++++++
 app/widgets/widgets-types.h  |   1 +
 4 files changed, 344 insertions(+)

commit bf2dae8f7f40a29099dc4a690d969273d376b07d
Author: Cristian Secară <cristi@secarica.ro>
Date:   Mon Jun 1 11:32:20 2020 +0000

    Update Romanian translation

 po-plug-ins/ro.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a403a7d72f594eba03f6787e1a7bcb30c6dedb6c
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Mon Jun 1 11:00:24 2020 +0000

    Update Dutch translation

 po/nl.po | 4577
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 2576 insertions(+), 2001 deletions(-)

commit 2b2b033ae5922607c4d66fd65dc0cde69ace324f
Author: Cristian Secară <cristi@secarica.ro>
Date:   Mon Jun 1 10:53:04 2020 +0000

    Update Romanian translation

 po/ro.po | 620
 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 256 insertions(+), 364 deletions(-)

commit c52980110cebc6328809d4ffb3d598d06d59567d
Author: Cristian Secară <cristi@secarica.ro>
Date:   Sun May 31 15:35:00 2020 +0000

    Update Romanian translation

 po-plug-ins/ro.po | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 92ccf522eb54725ba5ac7e8be2d8567a2e45c0cb
Author: Cristian Secară <cristi@secarica.ro>
Date:   Sun May 31 15:07:57 2020 +0000

    Update Romanian translation

 po-script-fu/ro.po | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit a04e9c92bfec1e32a8e2a37819a52912a9a88a0b
Author: Cristian Secară <cristi@secarica.ro>
Date:   Sun May 31 15:05:10 2020 +0000

    Update Romanian translation

 po-python/ro.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 8e6560c232870316ecb6ba6ae063e26dd75250fb
Author: Cristian Secară <cristi@secarica.ro>
Date:   Sun May 31 15:03:28 2020 +0000

    Update Romanian translation

 po-plug-ins/ro.po | 100
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 50 insertions(+), 50 deletions(-)

commit b9da817ecc9f750d5949c354f306a5b3f0dbc529
Author: Cristian Secară <cristi@secarica.ro>
Date:   Sun May 31 14:54:21 2020 +0000

    Update Romanian translation

 po-libgimp/ro.po | 142
 +++----------------------------------------------------
 1 file changed, 6 insertions(+), 136 deletions(-)

commit 8bb4b722c8e3acf2559c972f0656b0b612b1a6d9
Author: qarmin <mikrutrafal54@gmail.com>
Date:   Thu Apr 30 14:56:30 2020 +0200

    Compare counter value instead its pointer address

    (cherry picked from commit be5d23bf9895a5cf59dbaddcacfd5c9ee2669548)

 app/core/gimplineart.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 32ed52216ccf677e2de9aceb36148af18dc05856
Author: Jehan <jehan@girinstud.io>
Date:   Sat Feb 16 12:27:32 2019 +0100

    app: some small improvements in line art code.

    Mostly I am adding a counter to the insignifiant zone fill, to
    be double
    sure we are not going to fill huge areas (this should not happen
    already
    anyway) and also it is no use to sample the line art buffer in such
    case.

    (cherry picked from commit 248477a125c9e5f63cb6bf98a39b32f73e3734ea)

 app/core/gimplineart.c | 33 +++++++++++++++++++--------------
 1 file changed, 19 insertions(+), 14 deletions(-)

commit dc8a9f36436398531bb71a23cbd84c568c5e4334
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Sat May 30 17:38:03 2020 +0000

    Update Dutch translation

 po-plug-ins/nl.po | 907
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 450 insertions(+), 457 deletions(-)

commit ba2ff0184de6d1e3d8f8550856230b2081ec963d
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Sat May 30 13:52:59 2020 +0000

    Update Spanish translation

 po/es.po | 71
 ++++++++++++++++++++++++++--------------------------------------
 1 file changed, 29 insertions(+), 42 deletions(-)

commit 5dacdcd409f7745cf549305a25ed8d5ca6200d1e
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat May 30 09:58:30 2020 +0200

    Updated French translation

 po-plug-ins/fr.po  |  930 +++++++++++------------
 po-script-fu/fr.po |   83 +-
 po/fr.po           | 2143
 ++++++++++++++++++++++++++++------------------------
 3 files changed, 1655 insertions(+), 1501 deletions(-)

commit 74d6cc2717366d6af7c4ef7ac51c2f8209e56d39
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Fri May 29 22:53:34 2020 +0200

    Updated Italian translation (fix the previous commit)

 po/it.po | 27789
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 27789 insertions(+)

commit 303ce20e9923cbeb394a31e4ae80a5f7f3c2d00b
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Fri May 29 19:43:52 2020 +0000

    Update Romanian translation

 po-python/ro.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1e372bd3f54bc7bcb621a2869f2b97dfef941591
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Fri May 29 20:26:16 2020 +0200

    Updated Italian translation

 po-plug-ins/it.po |   416 +-
 po/it.po          | 27698
 ----------------------------------------------------
 2 files changed, 194 insertions(+), 27920 deletions(-)

commit 5438170760ed0e3d5aa088d441afdf042bdea331
Author: Milo Ivir <mail@milotype.de>
Date:   Fri May 29 17:30:38 2020 +0000

    Update Croatian translation

 po-script-fu/hr.po | 211
 +++++++++++++++++++++++++++++------------------------
 1 file changed, 114 insertions(+), 97 deletions(-)

commit ca17c69807f58761fd0778dc986e340ad1e39e07
Author: Milo Ivir <mail@milotype.de>
Date:   Fri May 29 17:22:51 2020 +0000

    Update Croatian translation

 po-plug-ins/hr.po | 3330
 ++++++++++++++++++++++++++---------------------------
 1 file changed, 1646 insertions(+), 1684 deletions(-)

commit b339f818334ac2eaea75c472e990e0577fe816fa
Author: Milo Ivir <mail@milotype.de>
Date:   Fri May 29 17:20:46 2020 +0000

    Update Croatian translation

 po-python/hr.po | 272
 ++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 177 insertions(+), 95 deletions(-)

commit a13c4f6e01cde4471c2ec1aad3279295180046d5
Author: Milo Ivir <mail@milotype.de>
Date:   Fri May 29 17:16:33 2020 +0000

    Update Croatian translation

 po-libgimp/hr.po | 169
 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 87 insertions(+), 82 deletions(-)

commit af8eb9076c782b21562b79d6a2718bb1909092c1
Author: Milo Ivir <mail@milotype.de>
Date:   Fri May 29 17:14:22 2020 +0000

    Update Croatian translation

 po-windows-installer/hr.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 1726d4cec196664b1e75f855ae184eddd0df2458
Author: Milo Ivir <mail@milotype.de>
Date:   Fri May 29 17:11:45 2020 +0000

    Update Croatian translation

 po/hr.po | 6896
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 3871 insertions(+), 3025 deletions(-)

commit fbf36b4547d64106c49464e0a697ddf514844d78
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Fri May 29 15:35:58 2020 +0200

    Updated Danish translation of gimp-plug-ins

 po-plug-ins/da.po | 894
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 443 insertions(+), 451 deletions(-)

commit cb55b09d3a350db8663a45bc61dea2b2e00d9934
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Fri May 29 15:35:35 2020 +0200

    Updated Danish translation

 po/da.po | 2134
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1139 insertions(+), 995 deletions(-)

commit f001fac47386ecb1da1330d935619dced31bfe45
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Fri May 29 10:56:14 2020 +0000

    Update Turkish translation

 po/tr.po | 1801
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 962 insertions(+), 839 deletions(-)

commit 118bb9470dd75a03a17f2df0b98f9b3d2d34a19f
Author: Cristian Secară <cristi@secarica.ro>
Date:   Thu May 28 17:12:46 2020 +0000

    Update Romanian translation

 po-script-fu/ro.po | 1428
 +++++++++++++---------------------------------------
 1 file changed, 362 insertions(+), 1066 deletions(-)

commit b517431da3ac5f2be9a0637d062a2303cdf39c34
Author: Cristian Secară <cristi@secarica.ro>
Date:   Thu May 28 17:10:34 2020 +0000

    Update Romanian translation

 po-plug-ins/ro.po | 34 +++++++++++++++++++---------------
 1 file changed, 19 insertions(+), 15 deletions(-)

commit 40902bcf4651e22a16d1d51594f393b675a933b2
Author: Cristian Secară <cristi@secarica.ro>
Date:   Thu May 28 17:04:32 2020 +0000

    Update Romanian translation

 po-tips/ro.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4b9d58da22aeb69c8216830fe751834d19fd7281
Author: lillolollo <4179-lillolollo@users.noreply.gitlab.gnome.org>
Date:   Thu May 28 05:03:03 2020 +0000

    NEWS: add more fixed bugs

 NEWS | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 1b5374a7ce35429e12f394ea3a9d582abb5c80f3
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Wed May 27 17:33:09 2020 +0000

    Update NEWS

 NEWS | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 670078dba8a81cf0e16d326393ee000a9b7d10ee
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed May 27 15:17:46 2020 +0200

    build,app: depend on babl-0.1.76

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c9e551d9f0f26776b29167dd2597e78daafdef8d
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Tue May 26 22:15:20 2020 +0000

    Update British English translation

 po-python/en_GB.po | 282
 ++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 184 insertions(+), 98 deletions(-)

commit 625ec2b9d534ce42ebdadfb8421e71bb0133b216
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Tue May 26 22:11:20 2020 +0000

    Update British English translation

 po/en_GB.po | 2293
 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1171 insertions(+), 1122 deletions(-)

commit b717d0550f4490545b349e4a57440eb07f3448f4
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Tue May 26 16:21:16 2020 +0000

    Update Turkish translation

 po-script-fu/tr.po | 83
 ++++++++++++++++++++++++++++++++----------------------
 1 file changed, 49 insertions(+), 34 deletions(-)

commit d20317ce20381d6a99620f8c05ea88d5e963f5cf
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Tue May 26 16:17:03 2020 +0000

    Update Turkish translation

 po-python/tr.po | 254
 +++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 168 insertions(+), 86 deletions(-)

commit 695ca1facd4f48c7ba3f35c88bf8aee3b19d2b85
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Tue May 26 16:06:39 2020 +0000

    Update Turkish translation

 po-plug-ins/tr.po | 895
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 444 insertions(+), 451 deletions(-)

commit 390edf86b6ccfd8e4bd2253941cba6bede88abf0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue May 26 14:49:23 2020 +0000

    Update Spanish translation

 po/es.po | 713
 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 392 insertions(+), 321 deletions(-)

commit e02d5965d226b9e4339ff27782e676b797b0a352
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue May 26 14:43:24 2020 +0000

    Update Spanish translation

 po-plug-ins/es.po | 898
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 446 insertions(+), 452 deletions(-)

commit a6dcab4c0c6902c2b85d52ee56df86f8cbaa1e5d
Author: Michael Schumacher <schumaml@gmx.de>
Date:   Tue May 26 12:12:10 2020 +0200

    plug-ins: use G_GOFFSET_FORMAT to fix a long int vs. long long int
    format warning

    (cherry picked from commit 8bf8eb9dc0f6be619f54a8f0652b4b5998ae182c)

 plug-ins/common/file-ps.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c4e6f1ef3b2d8881427ee0f58f5b9dfe63450f9
Author: Ell <ell_se@yahoo.com>
Date:   Tue May 26 10:36:58 2020 +0300

    app: update tool widgets on display-shell changes more granularly

    Partially revert commit c73710e410b663edee14bbfb1a0b96b7fbeb9047,
    avoiding updating tool widgets unconditionally on tool resume in
    GimpDrawTool -- it's too expensive in general.

    Instead, handle display-shell changes in GimpToolWidget, by adding
    GimpToolWidget::update_on_{scale,scroll,rotate} flags, which
    subclasses can use to request an update on any of these events.
